مواد پر جائیں

Nemotron Asr Multilingual

انٹیگریٹ کریں

ماڈل id nvidia/nemotron-asr-multilingual/asr
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.ru/v1/run/nvidia/nemotron-asr-multilingual/asr?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "audio": "https://content.doitong.com/audio/showcase/v3/tools/dub_es.mp3"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

مثال جیسی فائلیں: ⁨$0.002⁩ 2 API کریڈٹس · ≈ ⁨₽0.22⁩ آپ کی فائلیں رن سے پہلے ناپی جاتی ہیں اس صفحے پر چلائیں

API کلید حاصل کریں
NVIDIA آواز سے متن #utility#transcribe

خودکار زبان شناخت اور رفتار/درستگی کی چار سطحوں کے ساتھ کثیر لسانی تقریر کی نقل نویسی

NVIDIA · متن

آپ کا پہلا نتیجہ یہاں آئے گا

ذیل میں درخواست بنائیں اور اپنی API کلید کے ساتھ چلائیں۔ آؤٹ پٹس ہمارے اسٹوریج میں کاپی ہو جاتے ہیں، ہمیشہ کے لیے یا مفت میں 7 دن تک محفوظ رہتے ہیں۔

درخواست بنائیں

کنٹرولز ماڈل اسکیما سے تیار ہوتے ہیں۔ آپ کے بدلنے کے ساتھ کوڈ اور قیمت اپ ڈیٹ ہوتے ہیں۔

•لازمی audio_url
فائل ڈراپ کریں، یا

transcription کے لیے استعمال ہونے والی آڈیو فائل کا URL۔

ایڈوانسڈ acceleration · language
acceleration ڈیفالٹ regular

chunk length پر مبنی رفتار/درستگی setting: 'none' کے ساتھ 1.12s بہترین درستگی دیتا ہے؛ 'regular' کے ساتھ 0.56s رفتار اور درستگی میں توازن رکھتا ہے؛ 'high' کے ساتھ 0.32s زیادہ تیز ہے؛ 'full' کے ساتھ 0.08s سب سے تیز ہے۔

ڈیفالٹ auto

transcription کے لیے Language-ID پرامپٹ؛ ہدفی زبان یا ماڈل پر مبنی شناخت کے لیے 'auto' قبول کرتا ہے۔

POST /run/nvidia/nemotron-asr-multilingual/asr?wait=20 قیمت → ⁨$0.002⁩
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.ru/v1/run/nvidia/nemotron-asr-multilingual/asr?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "audio": "https://content.doitong.com/audio/showcase/v3/tools/dub_es.mp3"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

یہ درخواست چلائیں

آپ کی key اسی براؤزر میں رہتی ہے: یہ صرف Doitong API کو بھیجی جاتی ہے اور صرف اس صورت میں localStorage میں محفوظ ہوتی ہے جب آپ Remember منتخب کریں۔ API کلید حاصل کریں

Nemotron Asr Multilingual کے بارے میں

`audio_url` سے آڈیو فائل کو متن میں ٹرانسکرائب کرتا ہے۔ شناخت کے لیے `language` ان پٹ ڈیفالٹ طور پر `auto` ہے، یا فہرست سے en-US، de-DE یا ja-JP جیسا لوکیل منتخب کیا جا سکتا ہے۔ `acceleration` درستگی کے بدلے رفتار فراہم کرتا ہے: `none` سب سے زیادہ درست، `regular` متوازن، `high` تیز، اور `full` سب سے تیز ہے۔

پیرامیٹرز

معیاری نام یا مقامی نام میں سے صرف ایک بھیجیں، دونوں نہیں۔ معیاری نام

نامقسم ڈیفالٹمجاز تفصیل
audio_urlلازمی audio
قسمurl · audio
transcription کے لیے استعمال ہونے والی آڈیو فائل کا URL۔
languageاختیاری
قسمenum
ڈیفالٹauto
autoen-USen-GBes-USes-ESde-DEfr-FRfr-CAit-ITar-ARja-JPko-KRpt-BRpt-PTru-RUhi-IN
+25 مزیدzh-CNvi-VNhe-ILnl-NLcs-CZda-DKpl-PLnn-NOnb-NOsv-SEth-THtr-TRbg-BGel-GRet-EEfi-FIhr-HRhu-HUlt-LTlv-LVro-ROsk-SKuk-UAmt-MTsl-SI
transcription کے لیے Language-ID پرامپٹ؛ ہدفی زبان یا ماڈل پر مبنی شناخت کے لیے 'auto' قبول کرتا ہے۔
accelerationاختیاری
قسمenum
ڈیفالٹregular
noneregularhighfull
chunk length پر مبنی رفتار/درستگی setting: 'none' کے ساتھ 1.12s بہترین درستگی دیتا ہے؛ 'regular' کے ساتھ 0.56s رفتار اور درستگی میں توازن رکھتا ہے؛ 'high' کے ساتھ 0.32s زیادہ تیز ہے؛ 'full' کے ساتھ 0.08s سب سے تیز ہے۔
لازمی معیاری نام، یہ بھی قبول ہے

فائل پیرامیٹرز عوامی https:// URL، 10 MB تک کی data: URI، یا اپ لوڈ کے file_url کو قبول کرتے ہیں۔ فائلیں

آؤٹ پٹ

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "nvidia/nemotron-asr-multilingual/asr",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 2,
    "usd": "0.002",
    "charged": 2,
    "refunded": 0
  },
  "input": {
    "audio_url": "https://content.doitong.com/audio/showcase/v3/tools/dub_es.mp3"
  },
  "output": {
    "output": "Actually, I'm second guessing myself a single coherent passage might be cleaner and more representative of real world speech performance, which is what benchmarking typically uses. I'll write an engaging flowing piece on something like a journey or a day in a tech forward city. That weaves in all the varied elements naturally, rather than splitting it into sections. I'm deciding to keep the targeted tricky sentences section after all. It'll directly test homophones and number heavy lines that are most prone to errors, so I'll include it as a concise, clearly marked addition at the end now. I'm drafting the full passage, starting with a detailed travel narrative that weaves in dates, times, currency, and specific details by the time we pulled into Waverley Station, my phone had buzzed forty seven times, mostly from doctor Amara Akon Reyes at Neurosynt Technologies fretting over our board presentation. We'd spent three weeks refining a transformer model with one point three billion parameters, and the improvements were stunning. Our word error rate plummeted from fourteen point two percent down to three point eight percent. There's something surreal about watching those number shift like that. They're not just metrics they're the payoff from countless late nights and too much coffee.",
    "partial": false
  },
  "outputs": [
    {
      "type": "file",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
      "content_type": "image/jpeg",
      "file_size": 1843200,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://api.doitong.ru/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://api.doitong.ru/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
آپ کی فائلیں، آپ کا انتخابہر outputs[].url ہمارے اسٹوریج میں ایک کاپی ہے: ہمیشہ کے لیے محفوظ (فی GB-ماہ ادائیگی) یا مفت میں 7 دن تک، آپ کی اکاؤنٹ سیٹنگ یا ?storage= کے مطابق۔
ہر ماڈل میں ایک جیسی ساختtype، url، content_type، width، height اور duration، تصاویر، ویڈیو اور آڈیو سب کے لیے یکساں۔ output ماڈل کا اپنا نتیجہ آبجیکٹ ہے۔
آؤٹ پٹ کے فیلڈز
output
stringآڈیو کی transcription سے حاصل کردہ متن۔
partial
booleanstreaming نتیجہ intermediate ہونے پر True۔

AI ایجنٹس کے لیے: یہ صفحہ Markdown میں یہاں موجود ہے https://doitong.com/ur/developers/models/nvidia/nemotron-asr-multilingual/asr.md. تمام ماڈلز اور گائیڈز: https://doitong.com/developers/llms.txt